
TYPO3.Flow - Bug # 54744

Status: New Priority: Should have
Author: Chr is Category: Log
Created: 2014-01-05 Assigned To:
Updated: 2014-02-12 Due date:
PHP Version: 5.3
Has patch: No
Complexity:
Affected Flow version: (any)
Subject: System.log contains many NOTICE Flow The argument "workspace" declared in pointcut does not exist in 

method TYPO3...
Description

Flow version = 2.1.0  (composer show -i)
Neos version = 1.0.1  (composer show -i)

System.log contains a lot of these NOTICES (after flushing cache):

14-01-05 03:43:48 25269      NOTICE    Flow                 Locking site. Lock file:
/path/to/example.org/TYPO3-Neos/Data/Temporary/Production/Flow.lock
14-01-05 03:43:49 25269      INFO      Flow                 Aspect classes have been modified, flushing the whole proxy classes
cache.
14-01-05 03:43:49 25269      INFO      Flow                 Domain model changes have been detected, triggering Doctrine 2 proxy
rebuilding.
14-01-05 03:43:49 25269      INFO      Flow                 File Monitor "Flow_ClassFiles" detected 2120 changed files and 33
changed directories.
14-01-05 03:43:49 25269      INFO      Flow                 A configuration file matching the pattern "/Policy\.yaml/" has been
changed, flushing related cache "Flow_Security_Policy" 
14-01-05 03:43:49 25269      INFO      Flow                 A configuration file matching the pattern "/Routes([^\/]*)\.yaml/" has been
changed, flushing related cache "Flow_Mvc_Routing_FindMatchResults" 
14-01-05 03:43:49 25269      INFO      Flow                 A configuration file matching the pattern "/Routes([^\/]*)\.yaml/" has been
changed, flushing related cache "Flow_Mvc_Routing_Resolve" 
14-01-05 03:43:49 25269      INFO      Flow                 A configuration file matching the pattern "/Views\.yaml/" has been
changed, flushing related cache "Flow_Mvc_ViewConfigurations" 
14-01-05 03:43:49 25269      INFO      Flow                 The configuration has changed, triggering an AOP proxy class rebuild.
14-01-05 03:43:49 25269      INFO      Flow                 File Monitor "Flow_ConfigurationFiles" detected 66 changed files and 16
changed directories.
14-01-05 03:43:49 25269      INFO      Flow                 The localization files have changed, thus flushing the I18n XML model
cache.
14-01-05 03:43:49 25269      INFO      Flow                 File Monitor "Flow_TranslationFiles" detected 10 changed files and 3
changed directories.
14-01-05 03:44:00 25269      INFO      Flow                 Reflected 979 emerged classes.
14-01-05 03:44:02 25269      INFO      Flow                 Aspects have been modified, therefore rebuilding all target classes.
14-01-05 03:44:02 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Flow\Mvc\Controller\StandardController->indexAction
14-01-05 03:44:02 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Flow\Mvc\Controller\StandardController->indexAction
14-01-05 03:44:02 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Fluid\ViewHelpers\Widget\Controller\AutocompleteController->indexAction
14-01-05 03:44:02 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Fluid\ViewHelpers\Widget\Controller\AutocompleteController->indexAction
14-01-05 03:44:02 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Fluid\ViewHelpers\Widget\Controller\PaginateController->indexAction
14-01-05 03:44:02 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Fluid\ViewHelpers\Widget\Controller\PaginateController->indexAction
14-01-05 03:44:02 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Media\Controller\AssetController->indexAction
14-01-05 03:44:02 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Media\Controller\AssetController->indexAction
14-01-05 03:44:03 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\NeosDemoTypo3Org\Controller\RegistrationController->indexAction
14-01-05 03:44:03 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\NeosDemoTypo3Org\Controller\RegistrationController->indexAction
14-01-05 03:44:03 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Neos\Controller\Backend\BackendController->indexAction
14-01-05 03:44:03 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Neos\Controller\Backend\BackendController->indexAction
14-01-05 03:44:03 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Neos\Controller\Backend\MenuController->indexAction
14-01-05 03:44:03 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Neos\Controller\Backend\MenuController->indexAction
14-01-05 03:44:03 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Neos\Controller\Backend\ModuleController->indexAction
14-01-05 03:44:03 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Neos\Controller\LoginController->indexAction
14-01-05 03:44:03 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Neos\Controller\LoginController->indexAction
14-01-05 03:44:03 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Neos\Controller\Module\AbstractModuleController->indexAction
14-01-05 03:44:03 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Neos\Controller\Module\AbstractModuleController->indexAction
14-01-05 03:44:03 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Neos\Controller\Module\AdministrationController->indexAction
14-01-05 03:44:03 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Neos\Controller\Module\AdministrationController->indexAction
14-01-05 03:44:03 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Neos\Controller\Module\Administration\PackagesController->indexAction
14-01-05 03:44:03 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Neos\Controller\Module\Administration\PackagesController->indexAction
14-01-05 03:44:03 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Neos\Controller\Module\Administration\SitesController->indexAction
14-01-05 03:44:03 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Neos\Controller\Module\Administration\SitesController->indexAction
14-01-05 03:44:03 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Neos\Controller\Module\Administration\UsersController->indexAction
14-01-05 03:44:03 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Neos\Controller\Module\Administration\UsersController->indexAction
14-01-05 03:44:03 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Neos\Controller\Module\ManagementController->indexAction
14-01-05 03:44:03 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Neos\Controller\Module\ManagementController->indexAction
14-01-05 03:44:03 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Neos\Controller\Module\UserController->indexAction
14-01-05 03:44:03 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Neos\Controller\Module\UserController->indexAction
14-01-05 03:44:03 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Neos\Controller\Module\User\UserSettingsController->indexAction
14-01-05 03:44:03 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Neos\Controller\Module\User\UserSettingsController->indexAction
14-01-05 03:44:03 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Neos\Controller\Service\NodeController->indexAction
14-01-05 03:44:03 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Neos\Controller\Service\NodeController->indexAction
14-01-05 03:44:04 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Setup\Controller\SetupController->indexAction
14-01-05 03:44:04 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Setup\Controller\SetupController->indexAction
14-01-05 03:44:04 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Setup\ViewHelpers\Widget\Controller\DatabaseSelectorController->indexAction
14-01-05 03:44:04 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\Setup\ViewHelpers\Widget\Controller\DatabaseSelectorController->indexAction
14-01-05 03:44:04 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\TYPO3CR\ViewHelpers\Widget\Controller\PaginateController->indexAction
14-01-05 03:44:04 25269      NOTICE    Flow                 The argument "workspace" declared in pointcut does not exist in
method TYPO3\TYPO3CR\ViewHelpers\Widget\Controller\PaginateController->indexAction

History
